Approves a draft/pending entry: it pins the content hash, signs it when a catalog signing key is configured, records the approver and freezes the entry.
POST
/v1/m/catalog/entries/{id}/approve
const url = 'https://example.com/v1/m/catalog/entries/example/approve';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/catalog/entries/example/approve \ --header 'Authorization: Bearer <token>'Approves a draft/pending entry: it pins the content hash, signs it when a catalog signing key is configured, records the approver and freezes the entry.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}